> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List Of Assistants

> Retrieve assistants.



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/assistant
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/assistant:
    get:
      tags:
        - Assistant
      summary: Get List Of Assistants
      description: Retrieve assistants.
      operationId: get_list_of_assistants_api_v1_assistant_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponsePaginated_IAssistantRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponsePaginated_IAssistantRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_IAssistantRead_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[IAssistantRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_IAssistantRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/IAssistantRead'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - total
        - page
        - size
      title: PageBase[IAssistantRead]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IAssistantRead:
      properties:
        assistant_type:
          anyOf:
            - $ref: '#/components/schemas/IAssistantEnum'
            - type: 'null'
        llm_model:
          anyOf:
            - $ref: '#/components/schemas/ILLMEnum'
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        system_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: System Prompt
          default: ''
        voice:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Voice
          default: false
        custom_voice:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Custom Voice
          default: false
        voice_languages:
          items: {}
          type: array
          title: Voice Languages
          default:
            - en-US
            - de-DE
            - mr-IN
            - hi-IN
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        show_images:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Show Images
          default: false
        hide_ds:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Hide Ds
          default: false
        webhook_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Webhook Id
        has_human_agent:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Has Human Agent
          default: false
        use_tools:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Use Tools
          default: false
        conversation_flow_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Conversation Flow Id
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - assistant_type
        - llm_model
        - id
      title: IAssistantRead
    IAssistantEnum:
      type: string
      enum:
        - simple
        - chat
        - phone
        - nl2sql
        - realtime_openai
      title: IAssistantEnum
    ILLMEnum:
      type: string
      enum:
        - gpt-4-0125-preview
        - gpt-3.5-turbo-0125
        - gpt-3.5-turbo-1106
        - gpt-3.5-turbo
        - gpt-4-1106-preview
        - gpt-4o-2024-05-13
        - gpt-4o-mini
        - llama-3.1-70b-versatile
        - gpt-4o-realtime-preview
        - gpt-4o-mini-realtime-preview
        - deepseek-r1-distill-llama-70b
        - o3-mini
      title: ILLMEnum
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````